@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  symmetric-loadtest startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and SYMMETRIC_LOADTEST_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\symmetric-loadtest.jar;%APP_HOME%\lib\symmetric-core-3.5.17.jar;%APP_HOME%\lib\grinder-3.11.jar;%APP_HOME%\lib\grinder-console-service-3.11.jar;%APP_HOME%\lib\ring-jetty-adapter-1.1.0.jar;%APP_HOME%\lib\ring-servlet-1.1.0.jar;%APP_HOME%\lib\ring-middleware-format-0.2.0.jar;%APP_HOME%\lib\compojure-1.0.4.jar;%APP_HOME%\lib\ring-core-1.1.0.jar;%APP_HOME%\lib\symmetric-io-3.5.17.jar;%APP_HOME%\lib\symmetric-csv-3.5.17.jar;%APP_HOME%\lib\symmetric-db-3.5.17.jar;%APP_HOME%\lib\symmetric-util-3.5.17.jar;%APP_HOME%\lib\commons-dbcp-1.3.jar;%APP_HOME%\lib\commons-fileupload-1.3.jar;%APP_HOME%\lib\commons-io-2.2.jar;%APP_HOME%\lib\commons-codec-1.6.jar;%APP_HOME%\lib\bsh-2.0b5.jar;%APP_HOME%\lib\jsr250-api-1.0.jar;%APP_HOME%\lib\grinder-dcr-agent-3.11.jar;%APP_HOME%\lib\grinder-http-3.11.jar;%APP_HOME%\lib\grinder-swing-console-3.11.jar;%APP_HOME%\lib\clj-time-0.3.7.jar;%APP_HOME%\lib\grinder-core-3.11.jar;%APP_HOME%\lib\tools.logging-0.2.3.jar;%APP_HOME%\lib\core.memoize-0.5.1.jar;%APP_HOME%\lib\cheshire-4.0.0.jar;%APP_HOME%\lib\clj-yaml-0.3.1.jar;%APP_HOME%\lib\core.incubator-0.1.0.jar;%APP_HOME%\lib\tools.macro-0.1.0.jar;%APP_HOME%\lib\clout-1.0.1.jar;%APP_HOME%\lib\core.cache-0.5.0.jar;%APP_HOME%\lib\clojure-1.4.0.jar;%APP_HOME%\lib\servlet-api-2.5.jar;%APP_HOME%\lib\jeval-0.9.4.jar;%APP_HOME%\lib\commons-lang-2.3.jar;%APP_HOME%\lib\gson-2.2.2.jar;%APP_HOME%\lib\slf4j-log4j12-1.6.4.jar;%APP_HOME%\lib\jcl-over-slf4j-1.6.4.jar;%APP_HOME%\lib\logback-classic-1.0.0.jar;%APP_HOME%\lib\slf4j-api-1.6.4.jar;%APP_HOME%\lib\commons-pool-1.5.4.jar;%APP_HOME%\lib\grinder-httpclient-3.11.jar;%APP_HOME%\lib\grinder-xmlbeans-3.11.jar;%APP_HOME%\lib\clj-stacktrace-0.2.4.jar;%APP_HOME%\lib\jedit-syntax-2.2.2.jar;%APP_HOME%\lib\joda-time-2.0.jar;%APP_HOME%\lib\kxml2-2.3.0.jar;%APP_HOME%\lib\commons-collections-3.2.jar;%APP_HOME%\lib\log4j-1.2.16.jar;%APP_HOME%\lib\asm-3.2.jar;%APP_HOME%\lib\picocontainer-2.13.6.jar;%APP_HOME%\lib\jython-standalone-2.5.3.jar;%APP_HOME%\lib\jsr173-1.0.jar;%APP_HOME%\lib\xmlbeans-2.5.0.jar;%APP_HOME%\lib\jetty-server-7.6.1.v20120215.jar;%APP_HOME%\lib\logback-core-1.0.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\javax.servlet-2.5.0.v201103041518.jar;%APP_HOME%\lib\jetty-continuation-7.6.1.v20120215.jar;%APP_HOME%\lib\jetty-http-7.6.1.v20120215.jar;%APP_HOME%\lib\jackson-dataformat-smile-2.0.0.jar;%APP_HOME%\lib\jackson-core-2.0.0.jar;%APP_HOME%\lib\snakeyaml-1.5.jar;%APP_HOME%\lib\jetty-io-7.6.1.v20120215.jar;%APP_HOME%\lib\jetty-util-7.6.1.v20120215.jar

@rem Execute symmetric-loadtest
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SYMMETRIC_LOADTEST_OPTS%  -classpath "%CLASSPATH%" net.grinder.Console %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable SYMMETRIC_LOADTEST_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%SYMMETRIC_LOADTEST_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
